Bug 9518 - setLandscape method of HSSFPrintSetup class
Summary: setLandscape method of HSSFPrintSetup class
Status: CLOSED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 1.5.1
Hardware: Other other
: P3 critical (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-30 10:03 UTC by senthilkumar
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Patch to fix this bug (832 bytes, patch)
2002-06-05 14:07 UTC, Shawn Laubach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description senthilkumar 2002-05-30 10:03:26 UTC
setLandscape method of HSSFPrintSetup class accepts a boolean variable to set 
the orientation. Logically if i pass true then the orientation should be 
landscape. but only when i pass false the orientation is set to landscape. it 
can be changed
Comment 1 Shawn Laubach 2002-06-05 14:07:51 UTC
Created attachment 2010 [details]
Patch to fix this bug
Comment 2 Shawn Laubach 2002-06-05 14:09:42 UTC
Here is a patch to fix this.  The internal record records a 0 for landscape 
mode and the record called this landscape and then the boolean functions said 
false.  I flip it in the usermodel.
Comment 3 Avik Sengupta 2002-06-06 06:05:52 UTC
Applied, thanks. Could you please verify?
Comment 4 Shawn Laubach 2002-07-27 18:33:28 UTC
Verified.